com.amazonaws.services.codedeploy

## Class AbstractAmazonCodeDeployAsync

- java.lang.Object
- - com.amazonaws.services.codedeploy.AbstractAmazonCodeDeploy
  - - com.amazonaws.services.codedeploy.AbstractAmazonCodeDeployAsync

All Implemented Interfaces:
  AmazonCodeDeploy, AmazonCodeDeployAsync

    public class AbstractAmazonCodeDeployAsync
    extends AbstractAmazonCodeDeploy
    implements AmazonCodeDeployAsync

Abstract implementation of `AmazonCodeDeployAsync`. Convenient method forms pass through to the corresponding overload that takes a request object and an `AsyncHandler`, which throws an `UnsupportedOperationException`.

### Field Summary

### Fields inherited from interface com.amazonaws.services.codedeploy.AmazonCodeDeploy

`ENDPOINT_PREFIX`

### Constructor Summary

Constructors
`protected` `AbstractAmazonCodeDeployAsync()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Future<AddTagsToOnPremisesInstancesResult>` `addTagsToOnPremisesInstancesAsync(AddTagsToOnPremisesInstancesRequest request)` Adds tags to on-premises instances.
`Future<AddTagsToOnPremisesInstancesResult>` `addTagsToOnPremisesInstancesAsync(AddTagsToOnPremisesInstancesRequest request, AsyncHandler<AddTagsToOnPremisesInstancesRequest,AddTagsToOnPremisesInstancesResult> asyncHandler)` Adds tags to on-premises instances.
`Future<BatchGetApplicationRevisionsResult>` `batchGetApplicationRevisionsAsync(BatchGetApplicationRevisionsRequest request)` Gets information about one or more application revisions.
`Future<BatchGetApplicationRevisionsResult>` `batchGetApplicationRevisionsAsync(BatchGetApplicationRevisionsRequest request, AsyncHandler<BatchGetApplicationRevisionsRequest,BatchGetApplicationRevisionsResult> asyncHandler)` Gets information about one or more application revisions.
`Future<BatchGetApplicationsResult>` `batchGetApplicationsAsync()` Simplified method form for invoking the BatchGetApplications operation.
`Future<BatchGetApplicationsResult>` `batchGetApplicationsAsync(AsyncHandler<BatchGetApplicationsRequest,BatchGetApplicationsResult> asyncHandler)` Simplified method form for invoking the BatchGetApplications operation with an AsyncHandler.
`Future<BatchGetApplicationsResult>` `batchGetApplicationsAsync(BatchGetApplicationsRequest request)` Gets information about one or more applications.
`Future<BatchGetApplicationsResult>` `batchGetApplicationsAsync(BatchGetApplicationsRequest request, AsyncHandler<BatchGetApplicationsRequest,BatchGetApplicationsResult> asyncHandler)` Gets information about one or more applications.
`Future<BatchGetDeploymentGroupsResult>` `batchGetDeploymentGroupsAsync(BatchGetDeploymentGroupsRequest request)` Get information about one or more deployment groups.
`Future<BatchGetDeploymentGroupsResult>` `batchGetDeploymentGroupsAsync(BatchGetDeploymentGroupsRequest request, AsyncHandler<BatchGetDeploymentGroupsRequest,BatchGetDeploymentGroupsResult> asyncHandler)` Get information about one or more deployment groups.
`Future<BatchGetDeploymentInstancesResult>` `batchGetDeploymentInstancesAsync(BatchGetDeploymentInstancesRequest request)` Gets information about one or more instance that are part of a deployment group.
`Future<BatchGetDeploymentInstancesResult>` `batchGetDeploymentInstancesAsync(BatchGetDeploymentInstancesRequest request, AsyncHandler<BatchGetDeploymentInstancesRequest,BatchGetDeploymentInstancesResult> asyncHandler)` Gets information about one or more instance that are part of a deployment group.
`Future<BatchGetDeploymentsResult>` `batchGetDeploymentsAsync()` Simplified method form for invoking the BatchGetDeployments operation.
`Future<BatchGetDeploymentsResult>` `batchGetDeploymentsAsync(AsyncHandler<BatchGetDeploymentsRequest,BatchGetDeploymentsResult> asyncHandler)` Simplified method form for invoking the BatchGetDeployments operation with an AsyncHandler.
`Future<BatchGetDeploymentsResult>` `batchGetDeploymentsAsync(BatchGetDeploymentsRequest request)` Gets information about one or more deployments.
`Future<BatchGetDeploymentsResult>` `batchGetDeploymentsAsync(BatchGetDeploymentsRequest request, AsyncHandler<BatchGetDeploymentsRequest,BatchGetDeploymentsResult> asyncHandler)` Gets information about one or more deployments.
`Future<BatchGetOnPremisesInstancesResult>` `batchGetOnPremisesInstancesAsync()` Simplified method form for invoking the BatchGetOnPremisesInstances operation.
`Future<BatchGetOnPremisesInstancesResult>` `batchGetOnPremisesInstancesAsync(AsyncHandler<BatchGetOnPremisesInstancesRequest,BatchGetOnPremisesInstancesResult> asyncHandler)` Simplified method form for invoking the BatchGetOnPremisesInstances operation with an AsyncHandler.
`Future<BatchGetOnPremisesInstancesResult>` `batchGetOnPremisesInstancesAsync(BatchGetOnPremisesInstancesRequest request)` Gets information about one or more on-premises instances.
`Future<BatchGetOnPremisesInstancesResult>` `batchGetOnPremisesInstancesAsync(BatchGetOnPremisesInstancesRequest request, AsyncHandler<BatchGetOnPremisesInstancesRequest,BatchGetOnPremisesInstancesResult> asyncHandler)` Gets information about one or more on-premises instances.
`Future<CreateApplicationResult>` `createApplicationAsync(CreateApplicationRequest request)` Creates an application.
`Future<CreateApplicationResult>` `createApplicationAsync(CreateApplicationRequest request, AsyncHandler<CreateApplicationRequest,CreateApplicationResult> asyncHandler)` Creates an application.
`Future<CreateDeploymentResult>` `createDeploymentAsync(CreateDeploymentRequest request)` Deploys an application revision through the specified deployment group.
`Future<CreateDeploymentResult>` `createDeploymentAsync(CreateDeploymentRequest request, AsyncHandler<CreateDeploymentRequest,CreateDeploymentResult> asyncHandler)` Deploys an application revision through the specified deployment group.
`Future<CreateDeploymentConfigResult>` `createDeploymentConfigAsync(CreateDeploymentConfigRequest request)` Creates a deployment configuration.
`Future<CreateDeploymentConfigResult>` `createDeploymentConfigAsync(CreateDeploymentConfigRequest request, AsyncHandler<CreateDeploymentConfigRequest,CreateDeploymentConfigResult> asyncHandler)` Creates a deployment configuration.
`Future<CreateDeploymentGroupResult>` `createDeploymentGroupAsync(CreateDeploymentGroupRequest request)` Creates a deployment group to which application revisions will be deployed.
`Future<CreateDeploymentGroupResult>` `createDeploymentGroupAsync(CreateDeploymentGroupRequest request, AsyncHandler<CreateDeploymentGroupRequest,CreateDeploymentGroupResult> asyncHandler)` Creates a deployment group to which application revisions will be deployed.
`Future<DeleteApplicationResult>` `deleteApplicationAsync(DeleteApplicationRequest request)` Deletes an application.
`Future<DeleteApplicationResult>` `deleteApplicationAsync(DeleteApplicationRequest request, AsyncHandler<DeleteApplicationRequest,DeleteApplicationResult> asyncHandler)` Deletes an application.
`Future<DeleteDeploymentConfigResult>` `deleteDeploymentConfigAsync(DeleteDeploymentConfigRequest request)` Deletes a deployment configuration.
`Future<DeleteDeploymentConfigResult>` `deleteDeploymentConfigAsync(DeleteDeploymentConfigRequest request, AsyncHandler<DeleteDeploymentConfigRequest,DeleteDeploymentConfigResult> asyncHandler)` Deletes a deployment configuration.
`Future<DeleteDeploymentGroupResult>` `deleteDeploymentGroupAsync(DeleteDeploymentGroupRequest request)` Deletes a deployment group.
`Future<DeleteDeploymentGroupResult>` `deleteDeploymentGroupAsync(DeleteDeploymentGroupRequest request, AsyncHandler<DeleteDeploymentGroupRequest,DeleteDeploymentGroupResult> asyncHandler)` Deletes a deployment group.
`Future<DeregisterOnPremisesInstanceResult>` `deregisterOnPremisesInstanceAsync(DeregisterOnPremisesInstanceRequest request)` Deregisters an on-premises instance.
`Future<DeregisterOnPremisesInstanceResult>` `deregisterOnPremisesInstanceAsync(DeregisterOnPremisesInstanceRequest request, AsyncHandler<DeregisterOnPremisesInstanceRequest,DeregisterOnPremisesInstanceResult> asyncHandler)` Deregisters an on-premises instance.
`Future<GetApplicationResult>` `getApplicationAsync(GetApplicationRequest request)` Gets information about an application.
`Future<GetApplicationResult>` `getApplicationAsync(GetApplicationRequest request, AsyncHandler<GetApplicationRequest,GetApplicationResult> asyncHandler)` Gets information about an application.
`Future<GetApplicationRevisionResult>` `getApplicationRevisionAsync(GetApplicationRevisionRequest request)` Gets information about an application revision.
`Future<GetApplicationRevisionResult>` `getApplicationRevisionAsync(GetApplicationRevisionRequest request, AsyncHandler<GetApplicationRevisionRequest,GetApplicationRevisionResult> asyncHandler)` Gets information about an application revision.
`Future<GetDeploymentResult>` `getDeploymentAsync(GetDeploymentRequest request)` Gets information about a deployment.
`Future<GetDeploymentResult>` `getDeploymentAsync(GetDeploymentRequest request, AsyncHandler<GetDeploymentRequest,GetDeploymentResult> asyncHandler)` Gets information about a deployment.
`Future<GetDeploymentConfigResult>` `getDeploymentConfigAsync(GetDeploymentConfigRequest request)` Gets information about a deployment configuration.
`Future<GetDeploymentConfigResult>` `getDeploymentConfigAsync(GetDeploymentConfigRequest request, AsyncHandler<GetDeploymentConfigRequest,GetDeploymentConfigResult> asyncHandler)` Gets information about a deployment configuration.
`Future<GetDeploymentGroupResult>` `getDeploymentGroupAsync(GetDeploymentGroupRequest request)` Gets information about a deployment group.
`Future<GetDeploymentGroupResult>` `getDeploymentGroupAsync(GetDeploymentGroupRequest request, AsyncHandler<GetDeploymentGroupRequest,GetDeploymentGroupResult> asyncHandler)` Gets information about a deployment group.
`Future<GetDeploymentInstanceResult>` `getDeploymentInstanceAsync(GetDeploymentInstanceRequest request)` Gets information about an instance as part of a deployment.
`Future<GetDeploymentInstanceResult>` `getDeploymentInstanceAsync(GetDeploymentInstanceRequest request, AsyncHandler<GetDeploymentInstanceRequest,GetDeploymentInstanceResult> asyncHandler)` Gets information about an instance as part of a deployment.
`Future<GetOnPremisesInstanceResult>` `getOnPremisesInstanceAsync(GetOnPremisesInstanceRequest request)` Gets information about an on-premises instance.
`Future<GetOnPremisesInstanceResult>` `getOnPremisesInstanceAsync(GetOnPremisesInstanceRequest request, AsyncHandler<GetOnPremisesInstanceRequest,GetOnPremisesInstanceResult> asyncHandler)` Gets information about an on-premises instance.
`Future<ListApplicationRevisionsResult>` `listApplicationRevisionsAsync(ListApplicationRevisionsRequest request)` Lists information about revisions for an application.
`Future<ListApplicationRevisionsResult>` `listApplicationRevisionsAsync(ListApplicationRevisionsRequest request, AsyncHandler<ListApplicationRevisionsRequest,ListApplicationRevisionsResult> asyncHandler)` Lists information about revisions for an application.
`Future<ListApplicationsResult>` `listApplicationsAsync()` Simplified method form for invoking the ListApplications operation.
`Future<ListApplicationsResult>` `listApplicationsAsync(AsyncHandler<ListApplicationsRequest,ListApplicationsResult> asyncHandler)` Simplified method form for invoking the ListApplications operation with an AsyncHandler.
`Future<ListApplicationsResult>` `listApplicationsAsync(ListApplicationsRequest request)` Lists the applications registered with the applicable IAM user or AWS account.
`Future<ListApplicationsResult>` `listApplicationsAsync(ListApplicationsRequest request, AsyncHandler<ListApplicationsRequest,ListApplicationsResult> asyncHandler)` Lists the applications registered with the applicable IAM user or AWS account.
`Future<ListDeploymentConfigsResult>` `listDeploymentConfigsAsync()` Simplified method form for invoking the ListDeploymentConfigs operation.
`Future<ListDeploymentConfigsResult>` `listDeploymentConfigsAsync(AsyncHandler<ListDeploymentConfigsRequest,ListDeploymentConfigsResult> asyncHandler)` Simplified method form for invoking the ListDeploymentConfigs operation with an AsyncHandler.
`Future<ListDeploymentConfigsResult>` `listDeploymentConfigsAsync(ListDeploymentConfigsRequest request)` Lists the deployment configurations with the applicable IAM user or AWS account.
`Future<ListDeploymentConfigsResult>` `listDeploymentConfigsAsync(ListDeploymentConfigsRequest request, AsyncHandler<ListDeploymentConfigsRequest,ListDeploymentConfigsResult> asyncHandler)` Lists the deployment configurations with the applicable IAM user or AWS account.
`Future<ListDeploymentGroupsResult>` `listDeploymentGroupsAsync(ListDeploymentGroupsRequest request)` Lists the deployment groups for an application registered with the applicable IAM user or AWS account.
`Future<ListDeploymentGroupsResult>` `listDeploymentGroupsAsync(ListDeploymentGroupsRequest request, AsyncHandler<ListDeploymentGroupsRequest,ListDeploymentGroupsResult> asyncHandler)` Lists the deployment groups for an application registered with the applicable IAM user or AWS account.
`Future<ListDeploymentInstancesResult>` `listDeploymentInstancesAsync(ListDeploymentInstancesRequest request)` Lists the instance for a deployment associated with the applicable IAM user or AWS account.
`Future<ListDeploymentInstancesResult>` `listDeploymentInstancesAsync(ListDeploymentInstancesRequest request, AsyncHandler<ListDeploymentInstancesRequest,ListDeploymentInstancesResult> asyncHandler)` Lists the instance for a deployment associated with the applicable IAM user or AWS account.
`Future<ListDeploymentsResult>` `listDeploymentsAsync()` Simplified method form for invoking the ListDeployments operation.
`Future<ListDeploymentsResult>` `listDeploymentsAsync(AsyncHandler<ListDeploymentsRequest,ListDeploymentsResult> asyncHandler)` Simplified method form for invoking the ListDeployments operation with an AsyncHandler.
`Future<ListDeploymentsResult>` `listDeploymentsAsync(ListDeploymentsRequest request)` Lists the deployments in a deployment group for an application registered with the applicable IAM user or AWS account.
`Future<ListDeploymentsResult>` `listDeploymentsAsync(ListDeploymentsRequest request, AsyncHandler<ListDeploymentsRequest,ListDeploymentsResult> asyncHandler)` Lists the deployments in a deployment group for an application registered with the applicable IAM user or AWS account.
`Future<ListOnPremisesInstancesResult>` `listOnPremisesInstancesAsync()` Simplified method form for invoking the ListOnPremisesInstances operation.
`Future<ListOnPremisesInstancesResult>` `listOnPremisesInstancesAsync(AsyncHandler<ListOnPremisesInstancesRequest,ListOnPremisesInstancesResult> asyncHandler)` Simplified method form for invoking the ListOnPremisesInstances operation with an AsyncHandler.
`Future<ListOnPremisesInstancesResult>` `listOnPremisesInstancesAsync(ListOnPremisesInstancesRequest request)` Gets a list of names for one or more on-premises instances.
`Future<ListOnPremisesInstancesResult>` `listOnPremisesInstancesAsync(ListOnPremisesInstancesRequest request, AsyncHandler<ListOnPremisesInstancesRequest,ListOnPremisesInstancesResult> asyncHandler)` Gets a list of names for one or more on-premises instances.
`Future<RegisterApplicationRevisionResult>` `registerApplicationRevisionAsync(RegisterApplicationRevisionRequest request)` Registers with AWS CodeDeploy a revision for the specified application.
`Future<RegisterApplicationRevisionResult>` `registerApplicationRevisionAsync(RegisterApplicationRevisionRequest request, AsyncHandler<RegisterApplicationRevisionRequest,RegisterApplicationRevisionResult> asyncHandler)` Registers with AWS CodeDeploy a revision for the specified application.
`Future<RegisterOnPremisesInstanceResult>` `registerOnPremisesInstanceAsync(RegisterOnPremisesInstanceRequest request)` Registers an on-premises instance.
`Future<RegisterOnPremisesInstanceResult>` `registerOnPremisesInstanceAsync(RegisterOnPremisesInstanceRequest request, AsyncHandler<RegisterOnPremisesInstanceRequest,RegisterOnPremisesInstanceResult> asyncHandler)` Registers an on-premises instance.
`Future<RemoveTagsFromOnPremisesInstancesResult>` `removeTagsFromOnPremisesInstancesAsync(RemoveTagsFromOnPremisesInstancesRequest request)` Removes one or more tags from one or more on-premises instances.
`Future<RemoveTagsFromOnPremisesInstancesResult>` `removeTagsFromOnPremisesInstancesAsync(RemoveTagsFromOnPremisesInstancesRequest request, AsyncHandler<RemoveTagsFromOnPremisesInstancesRequest,RemoveTagsFromOnPremisesInstancesResult> asyncHandler)` Removes one or more tags from one or more on-premises instances.
`Future<StopDeploymentResult>` `stopDeploymentAsync(StopDeploymentRequest request)` Attempts to stop an ongoing deployment.
`Future<StopDeploymentResult>` `stopDeploymentAsync(StopDeploymentRequest request, AsyncHandler<StopDeploymentRequest,StopDeploymentResult> asyncHandler)` Attempts to stop an ongoing deployment.
`Future<UpdateApplicationResult>` `updateApplicationAsync()` Simplified method form for invoking the UpdateApplication operation.
`Future<UpdateApplicationResult>` `updateApplicationAsync(AsyncHandler<UpdateApplicationRequest,UpdateApplicationResult> asyncHandler)` Simplified method form for invoking the UpdateApplication operation with an AsyncHandler.
`Future<UpdateApplicationResult>` `updateApplicationAsync(UpdateApplicationRequest request)` Changes the name of an application.
`Future<UpdateApplicationResult>` `updateApplicationAsync(UpdateApplicationRequest request, AsyncHandler<UpdateApplicationRequest,UpdateApplicationResult> asyncHandler)` Changes the name of an application.
`Future<UpdateDeploymentGroupResult>` `updateDeploymentGroupAsync(UpdateDeploymentGroupRequest request)` Changes information about a deployment group.
`Future<UpdateDeploymentGroupResult>` `updateDeploymentGroupAsync(UpdateDeploymentGroupRequest request, AsyncHandler<UpdateDeploymentGroupRequest,UpdateDeploymentGroupResult> asyncHandler)` Changes information about a deployment group.

### Methods inherited from class com.amazonaws.services.codedeploy.AbstractAmazonCodeDeploy

`addTagsToOnPremisesInstances, batchGetApplicationRevisions, batchGetApplications, batchGetApplications, batchGetDeploymentGroups, batchGetDeploymentInstances, batchGetDeployments, batchGetDeployments, batchGetOnPremisesInstances, batchGetOnPremisesInstances, createApplication, createDeployment, createDeploymentConfig, createDeploymentGroup, deleteApplication, deleteDeploymentConfig, deleteDeploymentGroup, deregisterOnPremisesInstance, getApplication, getApplicationRevision, getCachedResponseMetadata, getDeployment, getDeploymentConfig, getDeploymentGroup, getDeploymentInstance, getOnPremisesInstance, listApplicationRevisions, listApplications, listApplications, listDeploymentConfigs, listDeploymentConfigs, listDeploymentGroups, listDeploymentInstances, listDeployments, listDeployments, listOnPremisesInstances, listOnPremisesInstances, registerApplicationRevision, registerOnPremisesInstance, removeTagsFromOnPremisesInstances, setEndpoint, setRegion, shutdown, stopDeployment, updateApplication, updateApplication, updateDeploymentGroup, waiters`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.amazonaws.services.codedeploy.AmazonCodeDeploy

`addTagsToOnPremisesInstances, batchGetApplicationRevisions, batchGetApplications, batchGetApplications, batchGetDeploymentGroups, batchGetDeploymentInstances, batchGetDeployments, batchGetDeployments, batchGetOnPremisesInstances, batchGetOnPremisesInstances, createApplication, createDeployment, createDeploymentConfig, createDeploymentGroup, deleteApplication, deleteDeploymentConfig, deleteDeploymentGroup, deregisterOnPremisesInstance, getApplication, getApplicationRevision, getCachedResponseMetadata, getDeployment, getDeploymentConfig, getDeploymentGroup, getDeploymentInstance, getOnPremisesInstance, listApplicationRevisions, listApplications, listApplications, listDeploymentConfigs, listDeploymentConfigs, listDeploymentGroups, listDeploymentInstances, listDeployments, listDeployments, listOnPremisesInstances, listOnPremisesInstances, registerApplicationRevision, registerOnPremisesInstance, removeTagsFromOnPremisesInstances, setEndpoint, setRegion, shutdown, stopDeployment, updateApplication, updateApplication, updateDeploymentGroup, waiters`

### Constructor Detail

#### AbstractAmazonCodeDeployAsync

    protected AbstractAmazonCodeDeployAsync()

### Method Detail

#### addTagsToOnPremisesInstancesAsync

    public Future<AddTagsToOnPremisesInstancesResult> addTagsToOnPremisesInstancesAsync(AddTagsToOnPremisesInstancesRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Adds tags to on-premises instances.

Specified by:
  `addTagsToOnPremisesInstancesAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of, and adds tags to, an on-premises instance operation.
Returns:
  A Java Future containing the result of the AddTagsToOnPremisesInstances operation returned by the service.

#### addTagsToOnPremisesInstancesAsync

    public Future<AddTagsToOnPremisesInstancesResult> addTagsToOnPremisesInstancesAsync(AddTagsToOnPremisesInstancesRequest request,
                                                                                        AsyncHandler<AddTagsToOnPremisesInstancesRequest,AddTagsToOnPremisesInstancesResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Adds tags to on-premises instances.

Specified by:
  `addTagsToOnPremisesInstancesAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of, and adds tags to, an on-premises instance operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the AddTagsToOnPremisesInstances operation returned by the service.

#### batchGetApplicationRevisionsAsync

    public Future<BatchGetApplicationRevisionsResult> batchGetApplicationRevisionsAsync(BatchGetApplicationRevisionsRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about one or more application revisions.

Specified by:
  `batchGetApplicationRevisionsAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a batch get application revisions operation.
Returns:
  A Java Future containing the result of the BatchGetApplicationRevisions operation returned by the service.

#### batchGetApplicationRevisionsAsync

    public Future<BatchGetApplicationRevisionsResult> batchGetApplicationRevisionsAsync(BatchGetApplicationRevisionsRequest request,
                                                                                        AsyncHandler<BatchGetApplicationRevisionsRequest,BatchGetApplicationRevisionsResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about one or more application revisions.

Specified by:
  `batchGetApplicationRevisionsAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a batch get application revisions operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the BatchGetApplicationRevisions operation returned by the service.

#### batchGetApplicationsAsync

    public Future<BatchGetApplicationsResult> batchGetApplicationsAsync(BatchGetApplicationsRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about one or more applications.

Specified by:
  `batchGetApplicationsAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a batch get applications operation.
Returns:
  A Java Future containing the result of the BatchGetApplications operation returned by the service.

#### batchGetApplicationsAsync

    public Future<BatchGetApplicationsResult> batchGetApplicationsAsync(BatchGetApplicationsRequest request,
                                                                        AsyncHandler<BatchGetApplicationsRequest,BatchGetApplicationsResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about one or more applications.

Specified by:
  `batchGetApplicationsAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a batch get applications operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the BatchGetApplications operation returned by the service.

#### batchGetApplicationsAsync

    public Future<BatchGetApplicationsResult> batchGetApplicationsAsync()

Simplified method form for invoking the BatchGetApplications operation.

Specified by:
  `batchGetApplicationsAsync` in interface `AmazonCodeDeployAsync`
See Also:
  `batchGetApplicationsAsync(BatchGetApplicationsRequest)`

#### batchGetApplicationsAsync

    public Future<BatchGetApplicationsResult> batchGetApplicationsAsync(AsyncHandler<BatchGetApplicationsRequest,BatchGetApplicationsResult> asyncHandler)

Simplified method form for invoking the BatchGetApplications operation with an AsyncHandler.

Specified by:
  `batchGetApplicationsAsync` in interface `AmazonCodeDeployAsync`
See Also:
  `batchGetApplicationsAsync(BatchGetApplicationsRequest, com.amazonaws.handlers.AsyncHandler)`

#### batchGetDeploymentGroupsAsync

    public Future<BatchGetDeploymentGroupsResult> batchGetDeploymentGroupsAsync(BatchGetDeploymentGroupsRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Get information about one or more deployment groups.

Specified by:
  `batchGetDeploymentGroupsAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a batch get deployment groups operation.
Returns:
  A Java Future containing the result of the BatchGetDeploymentGroups operation returned by the service.

#### batchGetDeploymentGroupsAsync

    public Future<BatchGetDeploymentGroupsResult> batchGetDeploymentGroupsAsync(BatchGetDeploymentGroupsRequest request,
                                                                                AsyncHandler<BatchGetDeploymentGroupsRequest,BatchGetDeploymentGroupsResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Get information about one or more deployment groups.

Specified by:
  `batchGetDeploymentGroupsAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a batch get deployment groups operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the BatchGetDeploymentGroups operation returned by the service.

#### batchGetDeploymentInstancesAsync

    public Future<BatchGetDeploymentInstancesResult> batchGetDeploymentInstancesAsync(BatchGetDeploymentInstancesRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about one or more instance that are part of a deployment group.

Specified by:
  `batchGetDeploymentInstancesAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a batch get deployment instances operation.
Returns:
  A Java Future containing the result of the BatchGetDeploymentInstances operation returned by the service.

#### batchGetDeploymentInstancesAsync

    public Future<BatchGetDeploymentInstancesResult> batchGetDeploymentInstancesAsync(BatchGetDeploymentInstancesRequest request,
                                                                                      AsyncHandler<BatchGetDeploymentInstancesRequest,BatchGetDeploymentInstancesResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about one or more instance that are part of a deployment group.

Specified by:
  `batchGetDeploymentInstancesAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a batch get deployment instances operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the BatchGetDeploymentInstances operation returned by the service.

#### batchGetDeploymentsAsync

    public Future<BatchGetDeploymentsResult> batchGetDeploymentsAsync(BatchGetDeploymentsRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about one or more deployments.

Specified by:
  `batchGetDeploymentsAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a batch get deployments operation.
Returns:
  A Java Future containing the result of the BatchGetDeployments operation returned by the service.

#### batchGetDeploymentsAsync

    public Future<BatchGetDeploymentsResult> batchGetDeploymentsAsync(BatchGetDeploymentsRequest request,
                                                                      AsyncHandler<BatchGetDeploymentsRequest,BatchGetDeploymentsResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about one or more deployments.

Specified by:
  `batchGetDeploymentsAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a batch get deployments operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the BatchGetDeployments operation returned by the service.

#### batchGetDeploymentsAsync

    public Future<BatchGetDeploymentsResult> batchGetDeploymentsAsync()

Simplified method form for invoking the BatchGetDeployments operation.

Specified by:
  `batchGetDeploymentsAsync` in interface `AmazonCodeDeployAsync`
See Also:
  `batchGetDeploymentsAsync(BatchGetDeploymentsRequest)`

#### batchGetDeploymentsAsync

    public Future<BatchGetDeploymentsResult> batchGetDeploymentsAsync(AsyncHandler<BatchGetDeploymentsRequest,BatchGetDeploymentsResult> asyncHandler)

Simplified method form for invoking the BatchGetDeployments operation with an AsyncHandler.

Specified by:
  `batchGetDeploymentsAsync` in interface `AmazonCodeDeployAsync`
See Also:
  `batchGetDeploymentsAsync(BatchGetDeploymentsRequest, com.amazonaws.handlers.AsyncHandler)`

#### batchGetOnPremisesInstancesAsync

    public Future<BatchGetOnPremisesInstancesResult> batchGetOnPremisesInstancesAsync(BatchGetOnPremisesInstancesRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about one or more on-premises instances.

Specified by:
  `batchGetOnPremisesInstancesAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a batch get on-premises instances operation.
Returns:
  A Java Future containing the result of the BatchGetOnPremisesInstances operation returned by the service.

#### batchGetOnPremisesInstancesAsync

    public Future<BatchGetOnPremisesInstancesResult> batchGetOnPremisesInstancesAsync(BatchGetOnPremisesInstancesRequest request,
                                                                                      AsyncHandler<BatchGetOnPremisesInstancesRequest,BatchGetOnPremisesInstancesResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about one or more on-premises instances.

Specified by:
  `batchGetOnPremisesInstancesAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a batch get on-premises instances operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the BatchGetOnPremisesInstances operation returned by the service.

#### batchGetOnPremisesInstancesAsync

    public Future<BatchGetOnPremisesInstancesResult> batchGetOnPremisesInstancesAsync()

Simplified method form for invoking the BatchGetOnPremisesInstances operation.

Specified by:
  `batchGetOnPremisesInstancesAsync` in interface `AmazonCodeDeployAsync`
See Also:
  `batchGetOnPremisesInstancesAsync(BatchGetOnPremisesInstancesRequest)`

#### batchGetOnPremisesInstancesAsync

    public Future<BatchGetOnPremisesInstancesResult> batchGetOnPremisesInstancesAsync(AsyncHandler<BatchGetOnPremisesInstancesRequest,BatchGetOnPremisesInstancesResult> asyncHandler)

Simplified method form for invoking the BatchGetOnPremisesInstances operation with an AsyncHandler.

Specified by:
  `batchGetOnPremisesInstancesAsync` in interface `AmazonCodeDeployAsync`
See Also:
  `batchGetOnPremisesInstancesAsync(BatchGetOnPremisesInstancesRequest, com.amazonaws.handlers.AsyncHandler)`

#### createApplicationAsync

    public Future<CreateApplicationResult> createApplicationAsync(CreateApplicationRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Creates an application.

Specified by:
  `createApplicationAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a create application operation.
Returns:
  A Java Future containing the result of the CreateApplication operation returned by the service.

#### createApplicationAsync

    public Future<CreateApplicationResult> createApplicationAsync(CreateApplicationRequest request,
                                                                  AsyncHandler<CreateApplicationRequest,CreateApplicationResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Creates an application.

Specified by:
  `createApplicationAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a create application operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateApplication operation returned by the service.

#### createDeploymentAsync

    public Future<CreateDeploymentResult> createDeploymentAsync(CreateDeploymentRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Deploys an application revision through the specified deployment group.

Specified by:
  `createDeploymentAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a create deployment operation.
Returns:
  A Java Future containing the result of the CreateDeployment operation returned by the service.

#### createDeploymentAsync

    public Future<CreateDeploymentResult> createDeploymentAsync(CreateDeploymentRequest request,
                                                                AsyncHandler<CreateDeploymentRequest,CreateDeploymentResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Deploys an application revision through the specified deployment group.

Specified by:
  `createDeploymentAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a create deployment operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateDeployment operation returned by the service.

#### createDeploymentConfigAsync

    public Future<CreateDeploymentConfigResult> createDeploymentConfigAsync(CreateDeploymentConfigRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Creates a deployment configuration.

Specified by:
  `createDeploymentConfigAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a create deployment configuration operation.
Returns:
  A Java Future containing the result of the CreateDeploymentConfig operation returned by the service.

#### createDeploymentConfigAsync

    public Future<CreateDeploymentConfigResult> createDeploymentConfigAsync(CreateDeploymentConfigRequest request,
                                                                            AsyncHandler<CreateDeploymentConfigRequest,CreateDeploymentConfigResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Creates a deployment configuration.

Specified by:
  `createDeploymentConfigAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a create deployment configuration operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateDeploymentConfig operation returned by the service.

#### createDeploymentGroupAsync

    public Future<CreateDeploymentGroupResult> createDeploymentGroupAsync(CreateDeploymentGroupRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Creates a deployment group to which application revisions will be deployed.

Specified by:
  `createDeploymentGroupAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a create deployment group operation.
Returns:
  A Java Future containing the result of the CreateDeploymentGroup operation returned by the service.

#### createDeploymentGroupAsync

    public Future<CreateDeploymentGroupResult> createDeploymentGroupAsync(CreateDeploymentGroupRequest request,
                                                                          AsyncHandler<CreateDeploymentGroupRequest,CreateDeploymentGroupResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Creates a deployment group to which application revisions will be deployed.

Specified by:
  `createDeploymentGroupAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a create deployment group operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateDeploymentGroup operation returned by the service.

#### deleteApplicationAsync

    public Future<DeleteApplicationResult> deleteApplicationAsync(DeleteApplicationRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Deletes an application.

Specified by:
  `deleteApplicationAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a delete application operation.
Returns:
  A Java Future containing the result of the DeleteApplication operation returned by the service.

#### deleteApplicationAsync

    public Future<DeleteApplicationResult> deleteApplicationAsync(DeleteApplicationRequest request,
                                                                  AsyncHandler<DeleteApplicationRequest,DeleteApplicationResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Deletes an application.

Specified by:
  `deleteApplicationAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a delete application operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeleteApplication operation returned by the service.

#### deleteDeploymentConfigAsync

    public Future<DeleteDeploymentConfigResult> deleteDeploymentConfigAsync(DeleteDeploymentConfigRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Deletes a deployment configuration.

<note>

A deployment configuration cannot be deleted if it is currently in use. Predefined configurations cannot be deleted.

</note>

Specified by:
  `deleteDeploymentConfigAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a delete deployment configuration operation.
Returns:
  A Java Future containing the result of the DeleteDeploymentConfig operation returned by the service.

#### deleteDeploymentConfigAsync

    public Future<DeleteDeploymentConfigResult> deleteDeploymentConfigAsync(DeleteDeploymentConfigRequest request,
                                                                            AsyncHandler<DeleteDeploymentConfigRequest,DeleteDeploymentConfigResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Deletes a deployment configuration.

<note>

A deployment configuration cannot be deleted if it is currently in use. Predefined configurations cannot be deleted.

</note>

Specified by:
  `deleteDeploymentConfigAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a delete deployment configuration operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeleteDeploymentConfig operation returned by the service.

#### deleteDeploymentGroupAsync

    public Future<DeleteDeploymentGroupResult> deleteDeploymentGroupAsync(DeleteDeploymentGroupRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Deletes a deployment group.

Specified by:
  `deleteDeploymentGroupAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a delete deployment group operation.
Returns:
  A Java Future containing the result of the DeleteDeploymentGroup operation returned by the service.

#### deleteDeploymentGroupAsync

    public Future<DeleteDeploymentGroupResult> deleteDeploymentGroupAsync(DeleteDeploymentGroupRequest request,
                                                                          AsyncHandler<DeleteDeploymentGroupRequest,DeleteDeploymentGroupResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Deletes a deployment group.

Specified by:
  `deleteDeploymentGroupAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a delete deployment group operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeleteDeploymentGroup operation returned by the service.

#### deregisterOnPremisesInstanceAsync

    public Future<DeregisterOnPremisesInstanceResult> deregisterOnPremisesInstanceAsync(DeregisterOnPremisesInstanceRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Deregisters an on-premises instance.

Specified by:
  `deregisterOnPremisesInstanceAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a deregister on-premises instance operation.
Returns:
  A Java Future containing the result of the DeregisterOnPremisesInstance operation returned by the service.

#### deregisterOnPremisesInstanceAsync

    public Future<DeregisterOnPremisesInstanceResult> deregisterOnPremisesInstanceAsync(DeregisterOnPremisesInstanceRequest request,
                                                                                        AsyncHandler<DeregisterOnPremisesInstanceRequest,DeregisterOnPremisesInstanceResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Deregisters an on-premises instance.

Specified by:
  `deregisterOnPremisesInstanceAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a deregister on-premises instance operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeregisterOnPremisesInstance operation returned by the service.

#### getApplicationAsync

    public Future<GetApplicationResult> getApplicationAsync(GetApplicationRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about an application.

Specified by:
  `getApplicationAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a get application operation.
Returns:
  A Java Future containing the result of the GetApplication operation returned by the service.

#### getApplicationAsync

    public Future<GetApplicationResult> getApplicationAsync(GetApplicationRequest request,
                                                            AsyncHandler<GetApplicationRequest,GetApplicationResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about an application.

Specified by:
  `getApplicationAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a get application operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetApplication operation returned by the service.

#### getApplicationRevisionAsync

    public Future<GetApplicationRevisionResult> getApplicationRevisionAsync(GetApplicationRevisionRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about an application revision.

Specified by:
  `getApplicationRevisionAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a get application revision operation.
Returns:
  A Java Future containing the result of the GetApplicationRevision operation returned by the service.

#### getApplicationRevisionAsync

    public Future<GetApplicationRevisionResult> getApplicationRevisionAsync(GetApplicationRevisionRequest request,
                                                                            AsyncHandler<GetApplicationRevisionRequest,GetApplicationRevisionResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about an application revision.

Specified by:
  `getApplicationRevisionAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a get application revision operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetApplicationRevision operation returned by the service.

#### getDeploymentAsync

    public Future<GetDeploymentResult> getDeploymentAsync(GetDeploymentRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about a deployment.

Specified by:
  `getDeploymentAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a get deployment operation.
Returns:
  A Java Future containing the result of the GetDeployment operation returned by the service.

#### getDeploymentAsync

    public Future<GetDeploymentResult> getDeploymentAsync(GetDeploymentRequest request,
                                                          AsyncHandler<GetDeploymentRequest,GetDeploymentResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about a deployment.

Specified by:
  `getDeploymentAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a get deployment operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetDeployment operation returned by the service.

#### getDeploymentConfigAsync

    public Future<GetDeploymentConfigResult> getDeploymentConfigAsync(GetDeploymentConfigRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about a deployment configuration.

Specified by:
  `getDeploymentConfigAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a get deployment configuration operation.
Returns:
  A Java Future containing the result of the GetDeploymentConfig operation returned by the service.

#### getDeploymentConfigAsync

    public Future<GetDeploymentConfigResult> getDeploymentConfigAsync(GetDeploymentConfigRequest request,
                                                                      AsyncHandler<GetDeploymentConfigRequest,GetDeploymentConfigResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about a deployment configuration.

Specified by:
  `getDeploymentConfigAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a get deployment configuration operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetDeploymentConfig operation returned by the service.

#### getDeploymentGroupAsync

    public Future<GetDeploymentGroupResult> getDeploymentGroupAsync(GetDeploymentGroupRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about a deployment group.

Specified by:
  `getDeploymentGroupAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a get deployment group operation.
Returns:
  A Java Future containing the result of the GetDeploymentGroup operation returned by the service.

#### getDeploymentGroupAsync

    public Future<GetDeploymentGroupResult> getDeploymentGroupAsync(GetDeploymentGroupRequest request,
                                                                    AsyncHandler<GetDeploymentGroupRequest,GetDeploymentGroupResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about a deployment group.

Specified by:
  `getDeploymentGroupAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a get deployment group operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetDeploymentGroup operation returned by the service.

#### getDeploymentInstanceAsync

    public Future<GetDeploymentInstanceResult> getDeploymentInstanceAsync(GetDeploymentInstanceRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about an instance as part of a deployment.

Specified by:
  `getDeploymentInstanceAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a get deployment instance operation.
Returns:
  A Java Future containing the result of the GetDeploymentInstance operation returned by the service.

#### getDeploymentInstanceAsync

    public Future<GetDeploymentInstanceResult> getDeploymentInstanceAsync(GetDeploymentInstanceRequest request,
                                                                          AsyncHandler<GetDeploymentInstanceRequest,GetDeploymentInstanceResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about an instance as part of a deployment.

Specified by:
  `getDeploymentInstanceAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a get deployment instance operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetDeploymentInstance operation returned by the service.

#### getOnPremisesInstanceAsync

    public Future<GetOnPremisesInstanceResult> getOnPremisesInstanceAsync(GetOnPremisesInstanceRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about an on-premises instance.

Specified by:
  `getOnPremisesInstanceAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a get on-premises instance operation.
Returns:
  A Java Future containing the result of the GetOnPremisesInstance operation returned by the service.

#### getOnPremisesInstanceAsync

    public Future<GetOnPremisesInstanceResult> getOnPremisesInstanceAsync(GetOnPremisesInstanceRequest request,
                                                                          AsyncHandler<GetOnPremisesInstanceRequest,GetOnPremisesInstanceResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Gets information about an on-premises instance.

Specified by:
  `getOnPremisesInstanceAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a get on-premises instance operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetOnPremisesInstance operation returned by the service.

#### listApplicationRevisionsAsync

    public Future<ListApplicationRevisionsResult> listApplicationRevisionsAsync(ListApplicationRevisionsRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Lists information about revisions for an application.

Specified by:
  `listApplicationRevisionsAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a list application revisions operation.
Returns:
  A Java Future containing the result of the ListApplicationRevisions operation returned by the service.

#### listApplicationRevisionsAsync

    public Future<ListApplicationRevisionsResult> listApplicationRevisionsAsync(ListApplicationRevisionsRequest request,
                                                                                AsyncHandler<ListApplicationRevisionsRequest,ListApplicationRevisionsResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Lists information about revisions for an application.

Specified by:
  `listApplicationRevisionsAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a list application revisions operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListApplicationRevisions operation returned by the service.

#### listApplicationsAsync

    public Future<ListApplicationsResult> listApplicationsAsync(ListApplicationsRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Lists the applications registered with the applicable IAM user or AWS account.

Specified by:
  `listApplicationsAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a list applications operation.
Returns:
  A Java Future containing the result of the ListApplications operation returned by the service.

#### listApplicationsAsync

    public Future<ListApplicationsResult> listApplicationsAsync(ListApplicationsRequest request,
                                                                AsyncHandler<ListApplicationsRequest,ListApplicationsResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Lists the applications registered with the applicable IAM user or AWS account.

Specified by:
  `listApplicationsAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a list applications operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListApplications operation returned by the service.

#### listApplicationsAsync

    public Future<ListApplicationsResult> listApplicationsAsync()

Simplified method form for invoking the ListApplications operation.

Specified by:
  `listApplicationsAsync` in interface `AmazonCodeDeployAsync`
See Also:
  `listApplicationsAsync(ListApplicationsRequest)`

#### listApplicationsAsync

    public Future<ListApplicationsResult> listApplicationsAsync(AsyncHandler<ListApplicationsRequest,ListApplicationsResult> asyncHandler)

Simplified method form for invoking the ListApplications operation with an AsyncHandler.

Specified by:
  `listApplicationsAsync` in interface `AmazonCodeDeployAsync`
See Also:
  `listApplicationsAsync(ListApplicationsRequest, com.amazonaws.handlers.AsyncHandler)`

#### listDeploymentConfigsAsync

    public Future<ListDeploymentConfigsResult> listDeploymentConfigsAsync(ListDeploymentConfigsRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Lists the deployment configurations with the applicable IAM user or AWS account.

Specified by:
  `listDeploymentConfigsAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a list deployment configurations operation.
Returns:
  A Java Future containing the result of the ListDeploymentConfigs operation returned by the service.

#### listDeploymentConfigsAsync

    public Future<ListDeploymentConfigsResult> listDeploymentConfigsAsync(ListDeploymentConfigsRequest request,
                                                                          AsyncHandler<ListDeploymentConfigsRequest,ListDeploymentConfigsResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Lists the deployment configurations with the applicable IAM user or AWS account.

Specified by:
  `listDeploymentConfigsAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a list deployment configurations operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListDeploymentConfigs operation returned by the service.

#### listDeploymentConfigsAsync

    public Future<ListDeploymentConfigsResult> listDeploymentConfigsAsync()

Simplified method form for invoking the ListDeploymentConfigs operation.

Specified by:
  `listDeploymentConfigsAsync` in interface `AmazonCodeDeployAsync`
See Also:
  `listDeploymentConfigsAsync(ListDeploymentConfigsRequest)`

#### listDeploymentConfigsAsync

    public Future<ListDeploymentConfigsResult> listDeploymentConfigsAsync(AsyncHandler<ListDeploymentConfigsRequest,ListDeploymentConfigsResult> asyncHandler)

Simplified method form for invoking the ListDeploymentConfigs operation with an AsyncHandler.

Specified by:
  `listDeploymentConfigsAsync` in interface `AmazonCodeDeployAsync`
See Also:
  `listDeploymentConfigsAsync(ListDeploymentConfigsRequest, com.amazonaws.handlers.AsyncHandler)`

#### listDeploymentGroupsAsync

    public Future<ListDeploymentGroupsResult> listDeploymentGroupsAsync(ListDeploymentGroupsRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Lists the deployment groups for an application registered with the applicable IAM user or AWS account.

Specified by:
  `listDeploymentGroupsAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a list deployment groups operation.
Returns:
  A Java Future containing the result of the ListDeploymentGroups operation returned by the service.

#### listDeploymentGroupsAsync

    public Future<ListDeploymentGroupsResult> listDeploymentGroupsAsync(ListDeploymentGroupsRequest request,
                                                                        AsyncHandler<ListDeploymentGroupsRequest,ListDeploymentGroupsResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Lists the deployment groups for an application registered with the applicable IAM user or AWS account.

Specified by:
  `listDeploymentGroupsAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a list deployment groups operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListDeploymentGroups operation returned by the service.

#### listDeploymentInstancesAsync

    public Future<ListDeploymentInstancesResult> listDeploymentInstancesAsync(ListDeploymentInstancesRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Lists the instance for a deployment associated with the applicable IAM user or AWS account.

Specified by:
  `listDeploymentInstancesAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a list deployment instances operation.
Returns:
  A Java Future containing the result of the ListDeploymentInstances operation returned by the service.

#### listDeploymentInstancesAsync

    public Future<ListDeploymentInstancesResult> listDeploymentInstancesAsync(ListDeploymentInstancesRequest request,
                                                                              AsyncHandler<ListDeploymentInstancesRequest,ListDeploymentInstancesResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Lists the instance for a deployment associated with the applicable IAM user or AWS account.

Specified by:
  `listDeploymentInstancesAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a list deployment instances operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListDeploymentInstances operation returned by the service.

#### listDeploymentsAsync

    public Future<ListDeploymentsResult> listDeploymentsAsync(ListDeploymentsRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Lists the deployments in a deployment group for an application registered with the applicable IAM user or AWS account.

Specified by:
  `listDeploymentsAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a list deployments operation.
Returns:
  A Java Future containing the result of the ListDeployments operation returned by the service.

#### listDeploymentsAsync

    public Future<ListDeploymentsResult> listDeploymentsAsync(ListDeploymentsRequest request,
                                                              AsyncHandler<ListDeploymentsRequest,ListDeploymentsResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Lists the deployments in a deployment group for an application registered with the applicable IAM user or AWS account.

Specified by:
  `listDeploymentsAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a list deployments operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListDeployments operation returned by the service.

#### listDeploymentsAsync

    public Future<ListDeploymentsResult> listDeploymentsAsync()

Simplified method form for invoking the ListDeployments operation.

Specified by:
  `listDeploymentsAsync` in interface `AmazonCodeDeployAsync`
See Also:
  `listDeploymentsAsync(ListDeploymentsRequest)`

#### listDeploymentsAsync

    public Future<ListDeploymentsResult> listDeploymentsAsync(AsyncHandler<ListDeploymentsRequest,ListDeploymentsResult> asyncHandler)

Simplified method form for invoking the ListDeployments operation with an AsyncHandler.

Specified by:
  `listDeploymentsAsync` in interface `AmazonCodeDeployAsync`
See Also:
  `listDeploymentsAsync(ListDeploymentsRequest, com.amazonaws.handlers.AsyncHandler)`

#### listOnPremisesInstancesAsync

    public Future<ListOnPremisesInstancesResult> listOnPremisesInstancesAsync(ListOnPremisesInstancesRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Gets a list of names for one or more on-premises instances.

Unless otherwise specified, both registered and deregistered on-premises instance names will be listed. To list only registered or deregistered on-premises instance names, use the registration status parameter.

Specified by:
  `listOnPremisesInstancesAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a list on-premises instances operation.
Returns:
  A Java Future containing the result of the ListOnPremisesInstances operation returned by the service.

#### listOnPremisesInstancesAsync

    public Future<ListOnPremisesInstancesResult> listOnPremisesInstancesAsync(ListOnPremisesInstancesRequest request,
                                                                              AsyncHandler<ListOnPremisesInstancesRequest,ListOnPremisesInstancesResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Gets a list of names for one or more on-premises instances.

Unless otherwise specified, both registered and deregistered on-premises instance names will be listed. To list only registered or deregistered on-premises instance names, use the registration status parameter.

Specified by:
  `listOnPremisesInstancesAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a list on-premises instances operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListOnPremisesInstances operation returned by the service.

#### listOnPremisesInstancesAsync

    public Future<ListOnPremisesInstancesResult> listOnPremisesInstancesAsync()

Simplified method form for invoking the ListOnPremisesInstances operation.

Specified by:
  `listOnPremisesInstancesAsync` in interface `AmazonCodeDeployAsync`
See Also:
  `listOnPremisesInstancesAsync(ListOnPremisesInstancesRequest)`

#### listOnPremisesInstancesAsync

    public Future<ListOnPremisesInstancesResult> listOnPremisesInstancesAsync(AsyncHandler<ListOnPremisesInstancesRequest,ListOnPremisesInstancesResult> asyncHandler)

Simplified method form for invoking the ListOnPremisesInstances operation with an AsyncHandler.

Specified by:
  `listOnPremisesInstancesAsync` in interface `AmazonCodeDeployAsync`
See Also:
  `listOnPremisesInstancesAsync(ListOnPremisesInstancesRequest, com.amazonaws.handlers.AsyncHandler)`

#### registerApplicationRevisionAsync

    public Future<RegisterApplicationRevisionResult> registerApplicationRevisionAsync(RegisterApplicationRevisionRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Registers with AWS CodeDeploy a revision for the specified application.

Specified by:
  `registerApplicationRevisionAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a register application revision operation.
Returns:
  A Java Future containing the result of the RegisterApplicationRevision operation returned by the service.

#### registerApplicationRevisionAsync

    public Future<RegisterApplicationRevisionResult> registerApplicationRevisionAsync(RegisterApplicationRevisionRequest request,
                                                                                      AsyncHandler<RegisterApplicationRevisionRequest,RegisterApplicationRevisionResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Registers with AWS CodeDeploy a revision for the specified application.

Specified by:
  `registerApplicationRevisionAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a register application revision operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the RegisterApplicationRevision operation returned by the service.

#### registerOnPremisesInstanceAsync

    public Future<RegisterOnPremisesInstanceResult> registerOnPremisesInstanceAsync(RegisterOnPremisesInstanceRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Registers an on-premises instance.

Specified by:
  `registerOnPremisesInstanceAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of the register on-premises instance operation.
Returns:
  A Java Future containing the result of the RegisterOnPremisesInstance operation returned by the service.

#### registerOnPremisesInstanceAsync

    public Future<RegisterOnPremisesInstanceResult> registerOnPremisesInstanceAsync(RegisterOnPremisesInstanceRequest request,
                                                                                    AsyncHandler<RegisterOnPremisesInstanceRequest,RegisterOnPremisesInstanceResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Registers an on-premises instance.

Specified by:
  `registerOnPremisesInstanceAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of the register on-premises instance operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the RegisterOnPremisesInstance operation returned by the service.

#### removeTagsFromOnPremisesInstancesAsync

    public Future<RemoveTagsFromOnPremisesInstancesResult> removeTagsFromOnPremisesInstancesAsync(RemoveTagsFromOnPremisesInstancesRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Removes one or more tags from one or more on-premises instances.

Specified by:
  `removeTagsFromOnPremisesInstancesAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a remove tags from on-premises instances operation.
Returns:
  A Java Future containing the result of the RemoveTagsFromOnPremisesInstances operation returned by the service.

#### removeTagsFromOnPremisesInstancesAsync

    public Future<RemoveTagsFromOnPremisesInstancesResult> removeTagsFromOnPremisesInstancesAsync(RemoveTagsFromOnPremisesInstancesRequest request,
                                                                                                  AsyncHandler<RemoveTagsFromOnPremisesInstancesRequest,RemoveTagsFromOnPremisesInstancesResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Removes one or more tags from one or more on-premises instances.

Specified by:
  `removeTagsFromOnPremisesInstancesAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a remove tags from on-premises instances operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the RemoveTagsFromOnPremisesInstances operation returned by the service.

#### stopDeploymentAsync

    public Future<StopDeploymentResult> stopDeploymentAsync(StopDeploymentRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Attempts to stop an ongoing deployment.

Specified by:
  `stopDeploymentAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a stop deployment operation.
Returns:
  A Java Future containing the result of the StopDeployment operation returned by the service.

#### stopDeploymentAsync

    public Future<StopDeploymentResult> stopDeploymentAsync(StopDeploymentRequest request,
                                                            AsyncHandler<StopDeploymentRequest,StopDeploymentResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Attempts to stop an ongoing deployment.

Specified by:
  `stopDeploymentAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of a stop deployment operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the StopDeployment operation returned by the service.

#### updateApplicationAsync

    public Future<UpdateApplicationResult> updateApplicationAsync(UpdateApplicationRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Changes the name of an application.

Specified by:
  `updateApplicationAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of an update application operation.
Returns:
  A Java Future containing the result of the UpdateApplication operation returned by the service.

#### updateApplicationAsync

    public Future<UpdateApplicationResult> updateApplicationAsync(UpdateApplicationRequest request,
                                                                  AsyncHandler<UpdateApplicationRequest,UpdateApplicationResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Changes the name of an application.

Specified by:
  `updateApplicationAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of an update application operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdateApplication operation returned by the service.

#### updateApplicationAsync

    public Future<UpdateApplicationResult> updateApplicationAsync()

Simplified method form for invoking the UpdateApplication operation.

Specified by:
  `updateApplicationAsync` in interface `AmazonCodeDeployAsync`
See Also:
  `updateApplicationAsync(UpdateApplicationRequest)`

#### updateApplicationAsync

    public Future<UpdateApplicationResult> updateApplicationAsync(AsyncHandler<UpdateApplicationRequest,UpdateApplicationResult> asyncHandler)

Simplified method form for invoking the UpdateApplication operation with an AsyncHandler.

Specified by:
  `updateApplicationAsync` in interface `AmazonCodeDeployAsync`
See Also:
  `updateApplicationAsync(UpdateApplicationRequest, com.amazonaws.handlers.AsyncHandler)`

#### updateDeploymentGroupAsync

    public Future<UpdateDeploymentGroupResult> updateDeploymentGroupAsync(UpdateDeploymentGroupRequest request)

Description copied from interface: `AmazonCodeDeployAsync`

Changes information about a deployment group.

Specified by:
  `updateDeploymentGroupAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of an update deployment group operation.
Returns:
  A Java Future containing the result of the UpdateDeploymentGroup operation returned by the service.

#### updateDeploymentGroupAsync

    public Future<UpdateDeploymentGroupResult> updateDeploymentGroupAsync(UpdateDeploymentGroupRequest request,
                                                                          AsyncHandler<UpdateDeploymentGroupRequest,UpdateDeploymentGroupResult> asyncHandler)

Description copied from interface: `AmazonCodeDeployAsync`

Changes information about a deployment group.

Specified by:
  `updateDeploymentGroupAsync` in interface `AmazonCodeDeployAsync`
Parameters:
  `request` - Represents the input of an update deployment group operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdateDeploymentGroup operation returned by the service.